`sig
type key
type t
val create : int -> BatHashcons.Table.t
val clear : BatHashcons.Table.t -> unit
val hashcons :
BatHashcons.Table.t ->
BatHashcons.Table.key -> BatHashcons.Table.key BatHashcons.hobj
val iter :
(BatHashcons.Table.key BatHashcons.hobj -> unit) ->
BatHashcons.Table.t -> unit
val fold :
(BatHashcons.Table.key BatHashcons.hobj -> 'a -> 'a) ->
BatHashcons.Table.t -> 'a -> 'a
val count : BatHashcons.Table.t -> int
end`